summaryrefslogtreecommitdiff
path: root/helpers/chroot_interactive
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/chroot_interactive
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/chroot_interactive')
-rwxr-xr-xhelpers/chroot_interactive61
1 files changed, 61 insertions, 0 deletions
diff --git a/helpers/chroot_interactive b/helpers/chroot_interactive
new file mode 100755
index 0000000..eb9c011
--- /dev/null
+++ b/helpers/chroot_interactive
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# lh_chroot_interactive(1) - make build interactive
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'make build interactive')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+if [ "${LH_INTERACTIVE}" = "false" ]
+then
+ exit 0
+fi
+
+Echo_message "Begin interactive build..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_interactive
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+case "${LH_INTERACTIVE}" in
+ true|shell)
+ Echo_message "Pausing build: starting interactive shell..."
+ Chroot chroot "/bin/bash --login"
+ ;;
+ x11)
+ Echo_message "Pausing build: starting interactive X11..."
+ Chroot chroot "startx"
+ ;;
+ xnest)
+ Echo_message "Pausing build: starting interactive Xnest..."
+ #Chroot chroot "" # FIXME
+ ;;
+esac
+
+# Creating stage file
+Create_stagefile .stage/chroot_symlinks